Bulk actions for suites
POST
/suites/bulkActionBulk action for suites. The delete action moves selected suites and their sub-suites and cases to the project’s Trash for 60 days (), preserving linked copies and related data. Previously trashed items retain their own entries and expiry times. Other actions and existing permissions are unchanged.
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, SuitesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new SuitesApi(config);
const result = await api.suitesBulkAction({ "suitesBulkActionPayload": { "project": 123, "actionType": "example", "suites": [] }});console.log(result);curl --request POST \ "https://api.testcollab.io/suites/bulkAction?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "project": 123, "action_type": "example", "suites": []}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
project |
number | Yes | — |
action_type |
string | Yes | — |
suites |
Array of number | Yes | Array of test suite ids |
Response
Section titled “Response”200 — Action status details
| Field | Type | Required | Description |
|---|---|---|---|
status |
boolean | Yes | — |
affected |
number | No | — |
details |
Array of Bulk Action Result Detail | No | — |
message |
string | Yes | — |
queue |
Background job | No | — |
queue.id |
number | Yes | — |
queue.status |
number | Yes | 0=queued; 1=in-progress; 2=done; 3=failed |
queue.percent_done |
number | Yes | When status =1, this will indicate progress % |
queue.created_at |
string | Yes | — |
queue.updated_at |
string | Yes | — |
queue.results |
string | No | JSON object |
{ "status": true, "affected": 123, "details": [], "message": "example", "queue": { "id": 123, "status": 123, "percent_done": 123, "created_at": "example", "updated_at": "example", "results": "example" }}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |